> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Appointment Definition Location

> A `PUT` to the `/appointment-definitions/{appointmentDefinitionId}/locations/{locationId}` endpoint allows your application to update a location assignment for an appointment definition.



## OpenAPI

````yaml put /v3/appointment-definitions/{appointmentDefinition}/locations/{location}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/appointment-definitions/{appointmentDefinition}/locations/{location}:
    put:
      tags:
        - Appointment Definition Location
      summary: Update Appointment Definition Location
      description: >-
        A `PUT` to the
        `/appointment-definitions/{appointmentDefinitionId}/locations/{locationId}`
        endpoint allows your application to update a location assignment for an
        appointment definition.
      operationId: appointmentDefinitionLocation.update
      parameters:
        - name: appointmentDefinition
          in: path
          required: true
          description: The appointment definition ID
          schema:
            type: integer
        - name: location
          in: path
          required: true
          description: The location ID
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAppointmentDefinitionLocation'
      responses:
        '200':
          description: '`AppointmentDefinitionLocation`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AppointmentDefinitionLocation'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdateAppointmentDefinitionLocation:
      type: object
      properties:
        is_active:
          type: boolean
      title: UpdateAppointmentDefinitionLocation
    AppointmentDefinitionLocation:
      type: object
      properties:
        id:
          type: integer
        appointment_definition_id:
          type: integer
        location_id:
          type: integer
        is_active:
          type: boolean
        location:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - appointment_definition_id
        - location_id
        - is_active
        - location
        - created_at
        - updated_at
      title: AppointmentDefinitionLocation
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````